Aria: ArTransform Class Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ArTransform Class Reference

`#include <ArTransform.h>`

List of all members.

## Detailed Description

A class to handle transforms between different coordinates.

## Public Member Functions
| ArTransform (ArPose pose1, ArPose pose2)
| ArTransform (ArPose pose)
| ArTransform ()
| Constructor.
ArPoseWithTime | doInvTransform (ArPoseWithTime source)
ArPose | doInvTransform (ArPose source)
void | doTransform (std::list< ArPoseWithTime * > *poseList)
| Take a std::list of sensor readings and do the transform on it.
void | doTransform (std::list< ArPose * > *poseList)
| Take a std::list of sensor readings and do the transform on it.
ArPoseWithTime | doTransform (ArPoseWithTime source)
ArPose | doTransform (ArPose source)
double | getTh ()
| Gets the transform angle value (degrees).
void | setTransform (ArPose pose1, ArPose pose2)
| Sets the transform so that pose1 will be transformed to pose2.
void | setTransform (ArPose pose)
| Sets the transform so points in this coord system transform to abs world coords.
virtual | ~ArTransform ()
| Destructor.
## Protected Attributes
double | myCos
double | mySin
double | myTh
double | myX
double | myY

## Constructor & Destructor Documentation

ArTransform::ArTransform | ( | ArPose | pose | ) | `[inline]`

Constructor, Sets the transform so points in this coord system transform to abs world coords

ArTransform::ArTransform | ( | ArPose | pose1,
|  | ArPose | pose2 |
| ) |  |  | `[inline]`

Constructor, sets the transform so that pose1 will be transformed to pose2

## Member Function Documentation

ArPoseWithTime ArTransform::doInvTransform | ( | ArPoseWithTime | source | ) | `[inline]`

The source and result can be the same

Parameters:

  | source | the parameter to transform

Returns:
  the source transformed from absolute into local coords

ArPose ArTransform::doInvTransform | ( | ArPose | source | ) | `[inline]`

The source and result can be the same

Parameters:

  | source | the parameter to transform

Returns:
  the source transformed from absolute into local coords

ArPoseWithTime ArTransform::doTransform | ( | ArPoseWithTime | source | ) | `[inline]`

Parameters:

  | source | the parameter to transform

Returns:
  the source transformed into absolute coordinates

ArPose ArTransform::doTransform | ( | ArPose | source | ) | `[inline]`

Parameters:

  | source | the parameter to transform

Returns:
  the source transformed into absolute coordinates

The documentation for this class was generated from the following file:

- ArTransform.h